<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../../../wtp.xsl"?>
<html>
<head>
  <meta name="root" content="../../../../" />
  <title>The JST "ws" (Web services) component</title>
</head>
<body>

<h1>The JST "ws" (Web services) component</h1>

<h2>Overview</h2>
<p>
The JST ws component contains tools for developing and interacting
with Java Web services. It consists mainly of preference pages,
extensible Web service wizards, and wizard extensions for the
<a href="http://ws.apache.org/axis/">Apache Axis v1.4</a> and 
<a href="http://ws.apache.org/axis2/">Apache Axis2 v1.2</a> 
Web service runtimes.
</p>
<p>
<b>Note:</b>The extensible wizards will eventually be migrated
down to the WST ws component since they do not (or should not)
have any specific dependencies on Java Web services. The Axis
extensions will remain here in the JST ws component.
</p>

<h2>Development Resources</h2>
<p>
<b>Milestone plans:</b>
</p>
<h3><a href="../../../plans/1.0/jst/ws/M10/milestone_plan.html">1.0 M10 milestone plan</a></h3>
<h3><a href="../../../plans/1.0/jst/ws/M9/milestone_plan.html">1.0 M9 milestone plan</a></h3>
<h3><a href="../../../plans/1.0/jst/ws/M8/milestone_plan.html">1.0 M8 milestone plan</a></h3>
<h3><a href="M5/milestone_plan.html">0.7 M5 milestone plan</a></h3>
<h3><a href="M4/milestone_plan.html">0.7 M4 milestone plan</a></h3>
<h3><a href="M3/milestone_plan.html">0.7 M3 milestone plan</a></h3>
<p>
<b>Test plans:</b>
</p>
<h3><a href="2.0/test_plan.html">2.0 Final test plan</a></h3>
<h3><a href="1.5M6/test_plan.html">1.5 Final test plan</a></h3>
<h3><a href="../../../plans/1.0/jst/ws/M10/test_plan.html">1.0 M10 test plan</a></h3>
<h3><a href="../../../plans/1.0/jst/ws/M9/test_plan.html">1.0 M9 test plan</a></h3>
<h3><a href="../../../plans/1.0/jst/ws/M8/test_plan.html">1.0 M8 test plan</a></h3>
<h3><a href="M5/test_plan.html">0.7 M5 test plan</a></h3>
<h3><a href="M4/test_plan.html">0.7 M4 test plan</a></h3>
<h3><a href="M3/test_plan.html">0.7 M3 test plan</a></h3>
<p>
<b>Designs:</b>
</p>
<h3><a href="designs/index.html">Index of JST WS design documents.</a></h3>
<p>
<b>Tutorials:</b>
</p>
<h3><a href="tutorials/index.html">Index of JST WS tutorials.</a></h3>
<p>
<b>See also:</b>
</p>
<h3><a href="../../../wst/components/ws/index.html">The WST "ws" (Web services) component</a></h3>

<h2>Plug-ins</h2>
<p>
The following plugins are contained in this component:
</p>

<h3>org.eclipse.jst.ws</h3>
<p>
Common preferences and utilities for the JST ws platform.
</p>

<h3>org.eclipse.jst.ws.ui</h3>
<p>
Adds awareness of EJBs to the Java Web services platform.
</p>

<h3>org.eclipse.jst.ws.consumption</h3>
<p>
Contains extensible core support for the J2EE Web services platform.
</p>

<h3>org.eclipse.jst.ws.consumption.ui</h3>
<p>
Contains extensible UI componentry for creating Java Web service clients.
</p>

<h3>org.eclipse.jst.ws.creation.ui</h3>
<p>
Contains extensible UI componentry for creating Java Web services.
</p>

<h3>org.eclipse.jst.ws.creation.ejb.ui</h3>
<p>
Adds awareness of EJBs to the Java Web services platform.
</p>

<h3>org.eclipse.jst.ws.uddiregistry</h3>
<p>
Provides extension points and UI for plugging in tools
to manage and publish to UDDI registries.
</p>

<h3>org.eclipse.jst.ws.axis.consumption.core</h3>
<p>
Plugs in core support for Apache Axis.
</p>

<h3>org.eclipse.jst.ws.axis.consumption.ui</h3>
<p>
Plugs in UI support for creation of Apache Axis
JAX-RPC Web service clients.
</p>

<h3>org.eclipse.jst.ws.axis.creation.ui</h3>
<p>
Plugs in UI support for creation of Apache Axis 
JAX-RPC Web services.
</p>

<h3>org.eclipse.jst.ws.axis2.core</h3>
<p>
Core support for Axis2 Web services.
</p>

<h3>org.eclipse.jst.ws.axis2.ui</h3>
<p>
UI support for Axis2 Web services.
</p>

<h3>org.eclipse.jst.ws.axis2.consumption.ui</h3>
<p>
Core support for consumption of Axis2 Web services.
</p>

<h3>org.eclipse.jst.ws.axis2.consumption.ui</h3>
<p>
UI support for consumption of Axis2 Web services.
</p>

<h3>org.eclipse.jst.ws.axis2.creation.ui</h3>
<p>
Core support for creation of Axis2 Web services.
</p>

<h3>org.eclipse.jst.ws.axis2.creation.ui</h3>
<p>
UI support for consumption of Axis2 Web services.
</p>

</body>
</html>